summaryrefslogtreecommitdiff
path: root/abe-bisect.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2021-03-11 10:52:39 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2021-03-11 10:53:37 +0000
commitb012773e8669f8dbb0248569150ecef8bddfbcc5 (patch)
treecc8386ea658d7fe1dc5330fd88dbeb2be0613e6c /abe-bisect.sh
parentae7b661930996cb87b7f3864fa4c5f6c89df9352 (diff)
abe-bisect.sh: Exit with an explicit error if no .sum was produced
Change-Id: I06168dbe2fb075664a322b7620d38edcf135678f
Diffstat (limited to 'abe-bisect.sh')
-rwxr-xr-xabe-bisect.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/abe-bisect.sh b/abe-bisect.sh
index 5d8ec4d0..cfd75138 100755
--- a/abe-bisect.sh
+++ b/abe-bisect.sh
@@ -109,6 +109,11 @@ if [ $? -ne 0 ]; then
fi
goodsums=`find builds/*/${TARGET}/*gcc.git~master_rev_${GOODSHA1}-stage2/ -name "*.sum"`
+if [ "x$goodsums" = "x" ]; then
+ echo "ERROR: failure while testing GOOD ($GOODGIT}" | tee -a $MAILBODY
+ tail gcc-${GOODSHA1}.log
+ exit 1
+fi
good_nb_fail=$(cat $goodsums | grep -wc FAIL)
good_nb_pass=$(cat $goodsums | grep -wc PASS)
@@ -133,6 +138,11 @@ if [ $? -ne 0 ]; then
fi
badsums=`find builds/*/${TARGET}/*gcc.git~master_rev_${BADSHA1}-stage2/ -name "*.sum"`
+if [ "x$badsums" = "x" ]; then
+ echo "ERROR: failure while testing BAD ($BADGIT}" | tee -a $MAILBODY
+ tail gcc-${BADSHA1}.log
+ exit 1
+fi
bad_nb_fail=$(cat $badsums | grep -wc FAIL)
bad_nb_pass=$(cat $badsums | grep -wc PASS)